summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Asplund <peter.azp@gmail.com>2015-03-29 19:57:45 +0200
committerPeter Asplund <peter.azp@gmail.com>2015-03-29 19:57:45 +0200
commitdd313a1c13ef5a53f811dc636476eeb013887b9b (patch)
treefa78ff0b8a9610b1d586c7f7028892530c75ff65
parentUpdate with latest packages (diff)
downloadAzP-dd313a1c13ef5a53f811dc636476eeb013887b9b.tar.gz
AzP-dd313a1c13ef5a53f811dc636476eeb013887b9b.tar.bz2
AzP-dd313a1c13ef5a53f811dc636476eeb013887b9b.zip
Add new ebuilds
-rw-r--r--dev-lang/php/php-5.5.14.ebuild782
-rw-r--r--dev-libs/folks/Manifest2
-rw-r--r--dev-libs/folks/folks-0.11.0.ebuild88
-rw-r--r--media-gfx/alchemy/alchemy-0.8.ebuild58
-rw-r--r--media-gfx/alchemy/files/alchemy-0.8-build.xml-install.patch306
-rw-r--r--media-sound/tuxguitar/Manifest2
-rw-r--r--media-sound/tuxguitar/tuxguitar-1.2.ebuild117
-rw-r--r--net-misc/vinagre/ChangeLog439
-rw-r--r--net-misc/vinagre/Manifest5
-rw-r--r--net-misc/vinagre/files/freerdp-1.2.0.patch29
-rw-r--r--net-misc/vinagre/metadata.xml13
-rw-r--r--net-misc/vinagre/vinagre-3.14.3.ebuild65
12 files changed, 1906 insertions, 0 deletions
diff --git a/dev-lang/php/php-5.5.14.ebuild b/dev-lang/php/php-5.5.14.ebuild
new file mode 100644
index 0000000..41886be
--- /dev/null
+++ b/dev-lang/php/php-5.5.14.ebuild
@@ -0,0 +1,782 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.5.14.ebuild,v 1.10 2014/07/05 11:29:09 ago Exp $
+
+EAPI=5
+
+inherit eutils autotools flag-o-matic versionator depend.apache apache-module db-use libtool systemd
+
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+function php_get_uri ()
+{
+ case "${1}" in
+ "php-pre")
+ echo "http://downloads.php.net/dsp/${2}"
+ ;;
+ "php")
+ echo "http://www.php.net/distributions/${2}"
+ ;;
+ "olemarkus")
+ echo "http://dev.gentoo.org/~olemarkus/php/${2}"
+ ;;
+ "gentoo")
+ echo "mirror://gentoo/${2}"
+ ;;
+ *)
+ die "unhandled case in php_get_uri"
+ ;;
+ esac
+}
+
+PHP_MV="$(get_major_version)"
+SLOT="$(get_version_component_range 1-2)"
+
+# alias, so we can handle different types of releases (finals, rcs, alphas,
+# betas, ...) w/o changing the whole ebuild
+PHP_PV="${PV/_rc/RC}"
+PHP_PV="${PHP_PV/_alpha/alpha}"
+PHP_PV="${PHP_PV/_beta/beta}"
+PHP_RELEASE="php"
+[[ ${PV} == ${PV/_alpha/} ]] || PHP_RELEASE="php-pre"
+[[ ${PV} == ${PV/_beta/} ]] || PHP_RELEASE="php-pre"
+[[ ${PV} == ${PV/_rc/} ]] || PHP_RELEASE="php-pre"
+PHP_P="${PN}-${PHP_PV}"
+
+PHP_SRC_URI="$(php_get_uri "${PHP_RELEASE}" "${PHP_P}.tar.bz2")"
+
+PHP_FPM_CONF_VER="1"
+
+SRC_URI="${PHP_SRC_URI}"
+
+DESCRIPTION="The PHP language runtime engine: CLI, CGI, FPM/FastCGI, Apache2 and embed SAPIs."
+HOMEPAGE="http://php.net/"
+LICENSE="PHP-3"
+
+S="${WORKDIR}/${PHP_P}"
+
+# We can build the following SAPIs in the given order
+SAPIS="embed cli cgi fpm apache2"
+
+# SAPIs and SAPI-specific USE flags (cli SAPI is default on):
+IUSE="${IUSE}
+ ${SAPIS/cli/+cli}
+ threads"
+
+IUSE="${IUSE} bcmath berkdb bzip2 calendar cdb cjk
+ crypt +ctype curl debug
+ enchant exif frontbase +fileinfo +filter firebird
+ flatfile ftp gd gdbm gmp +hash +iconv imap inifile
+ intl iodbc ipv6 +json kerberos ldap ldap-sasl libedit mhash
+ mssql mysql libmysqlclient mysqli nls
+ oci8-instant-client odbc +opcache pcntl pdo +phar +posix postgres qdbm
+ readline recode selinux +session sharedmem
+ +simplexml snmp soap sockets spell sqlite ssl
+ sybase-ct sysvipc systemd tidy +tokenizer truetype unicode wddx
+ +xml xmlreader xmlwriter xmlrpc xpm xslt zip zlib"
+
+DEPEND="
+ >=app-admin/eselect-php-0.7.1-r3[apache2?,fpm?]
+ >=dev-libs/libpcre-8.32[unicode]
+ apache2? ( www-servers/apache[threads=] )
+ berkdb? ( =sys-libs/db-4* )
+ bzip2? ( app-arch/bzip2 )
+ cdb? ( || ( dev-db/cdb dev-db/tinycdb ) )
+ cjk? ( !gd? (
+ virtual/jpeg:0
+ media-libs/libpng:0=
+ sys-libs/zlib
+ ) )
+ crypt? ( >=dev-libs/libmcrypt-2.4 )
+ curl? ( >=net-misc/curl-7.10.5 )
+ enchant? ( app-text/enchant )
+ exif? ( !gd? (
+ virtual/jpeg:0
+ media-libs/libpng:0=
+ sys-libs/zlib
+ ) )
+ firebird? ( dev-db/firebird )
+ gd? ( virtual/jpeg:0 media-libs/libpng:0= sys-libs/zlib )
+ gdbm? ( >=sys-libs/gdbm-1.8.0 )
+ gmp? ( >=dev-libs/gmp-4.1.2 )
+ iconv? ( virtual/libiconv )
+ imap? ( virtual/imap-c-client[ssl=] )
+ intl? ( dev-libs/icu:= )
+ iodbc? ( dev-db/libiodbc )
+ kerberos? ( virtual/krb5 )
+ ldap? ( >=net-nds/openldap-1.2.11 )
+ ldap-sasl? ( dev-libs/cyrus-sasl >=net-nds/openldap-1.2.11 )
+ libedit? ( || ( sys-freebsd/freebsd-lib dev-libs/libedit ) )
+ mssql? ( dev-db/freetds[mssql] )
+ libmysqlclient? (
+ mysql? ( virtual/mysql )
+ mysqli? ( >=virtual/mysql-4.1 )
+ )
+ nls? ( sys-devel/gettext )
+ oci8-instant-client? ( dev-db/oracle-instantclient-basic )
+ odbc? ( >=dev-db/unixODBC-1.8.13 )
+ postgres? ( dev-db/postgresql-base )
+ qdbm? ( dev-db/qdbm )
+ readline? ( sys-libs/readline )
+ recode? ( app-text/recode )
+ sharedmem? ( dev-libs/mm )
+ simplexml? ( >=dev-libs/libxml2-2.6.8 )
+ snmp? ( >=net-analyzer/net-snmp-5.2 )
+ soap? ( >=dev-libs/libxml2-2.6.8 )
+ spell? ( >=app-text/aspell-0.50 )
+ sqlite? ( >=dev-db/sqlite-3.7.6.3 )
+ ssl? ( >=dev-libs/openssl-0.9.7 )
+ sybase-ct? ( dev-db/freetds )
+ tidy? ( app-text/htmltidy )
+ truetype? (
+ =media-libs/freetype-2*
+ >=media-libs/t1lib-5.0.0
+ !gd? (
+ virtual/jpeg:0 media-libs/libpng:0= sys-libs/zlib )
+ )
+ unicode? ( dev-libs/oniguruma )
+ wddx? ( >=dev-libs/libxml2-2.6.8 )
+ xml? ( >=dev-libs/libxml2-2.6.8 )
+ xmlrpc? ( >=dev-libs/libxml2-2.6.8 virtual/libiconv )
+ xmlreader? ( >=dev-libs/libxml2-2.6.8 )
+ xmlwriter? ( >=dev-libs/libxml2-2.6.8 )
+ xpm? (
+ x11-libs/libXpm
+ virtual/jpeg:0
+ media-libs/libpng:0= sys-libs/zlib
+ )
+ xslt? ( dev-libs/libxslt >=dev-libs/libxml2-2.6.8 )
+ zip? ( sys-libs/zlib )
+ zlib? ( sys-libs/zlib )
+ virtual/mta
+"
+
+php="=${CATEGORY}/${PF}"
+
+REQUIRED_USE="
+ truetype? ( gd )
+ cjk? ( gd )
+ exif? ( gd )
+
+ xpm? ( gd )
+ gd? ( zlib )
+ simplexml? ( xml )
+ soap? ( xml )
+ wddx? ( xml )
+ xmlrpc? ( || ( xml iconv ) )
+ xmlreader? ( xml )
+ xslt? ( xml )
+ ldap-sasl? ( ldap )
+ mhash? ( hash )
+ phar? ( hash )
+ libmysqlclient? ( || (
+ mysql
+ mysqli
+ pdo
+ ) )
+
+ qdbm? ( !gdbm )
+ readline? ( !libedit )
+ recode? ( !imap !mysql !mysqli )
+ sharedmem? ( !threads )
+
+ !cli? ( !cgi? ( !fpm? ( !apache2? ( !embed? ( cli ) ) ) ) )"
+
+RDEPEND="${DEPEND}"
+
+RDEPEND="${RDEPEND}
+ fpm? (
+ selinux? ( sec-policy/selinux-phpfpm )
+ systemd? ( sys-apps/systemd ) )"
+
+DEPEND="${DEPEND}
+ sys-devel/flex
+ >=sys-devel/m4-1.4.3
+ >=sys-devel/libtool-1.5.18"
+
+# Allow users to install production version if they want to
+
+case "${PHP_INI_VERSION}" in
+ production|development)
+ ;;
+ *)
+ PHP_INI_VERSION="development"
+ ;;
+esac
+
+PHP_INI_UPSTREAM="php.ini-${PHP_INI_VERSION}"
+PHP_INI_FILE="php.ini"
+
+want_apache
+
+pkg_setup() {
+ depend.apache_pkg_setup
+}
+
+php_install_ini() {
+ local phpsapi="${1}"
+
+ # work out where we are installing the ini file
+ php_set_ini_dir "${phpsapi}"
+
+ local phpinisrc="${PHP_INI_UPSTREAM}-${phpsapi}"
+ cp "${PHP_INI_UPSTREAM}" "${phpinisrc}"
+
+ # default to /tmp for save_path, bug #282768
+ sed -e 's|^;session.save_path .*$|session.save_path = "'"${EPREFIX}"'/tmp"|g' -i "${phpinisrc}"
+
+ # Set the extension dir
+ sed -e "s|^extension_dir .*$|extension_dir = ${extension_dir}|g" -i "${phpinisrc}"
+
+ # Set the include path to point to where we want to find PEAR packages
+ sed -e 's|^;include_path = ".:/php/includes".*|include_path = ".:'"${EPREFIX}"'/usr/share/php'${PHP_MV}':'"${EPREFIX}"'/usr/share/php"|' -i "${phpinisrc}"
+
+ dodir "${PHP_INI_DIR#${EPREFIX}}"
+ insinto "${PHP_INI_DIR#${EPREFIX}}"
+ newins "${phpinisrc}" "${PHP_INI_FILE}"
+
+ elog "Installing php.ini for ${phpsapi} into ${PHP_INI_DIR#${EPREFIX}}"
+ elog
+
+ dodir "${PHP_EXT_INI_DIR#${EPREFIX}}"
+ dodir "${PHP_EXT_INI_DIR_ACTIVE#${EPREFIX}}"
+
+ if use_if_iuse opcache; then
+ elog "Adding opcache to $PHP_EXT_INI_DIR"
+ echo "zend_extension=${PHP_DESTDIR}/$(get_libdir)/opcache.so" >> "${D}/${PHP_EXT_INI_DIR}"/opcache.ini
+ dosym "${PHP_EXT_INI_DIR#${EPREFIX}}/opcache.ini" "${PHP_EXT_INI_DIR_ACTIVE#${EPREFIX}}/opcache.ini"
+ fi
+
+ # SAPI-specific handling
+
+ if [[ "${sapi}" == "fpm" ]] ; then
+ [[ -z ${PHP_FPM_CONF_VER} ]] && PHP_FPM_CONF_VER=0
+ einfo "Installing FPM CGI config file php-fpm.conf"
+ insinto "${PHP_INI_DIR#${EPREFIX}}"
+ newins "${FILESDIR}/php-fpm-r${PHP_FPM_CONF_VER}.conf" php-fpm.conf
+
+ # Remove bogus /etc/php-fpm.conf.default (bug 359906)
+ [[ -f "${ED}/etc/php-fpm.conf.default" ]] && rm "${ED}/etc/php-fpm.conf.default"
+ fi
+
+ # Install PHP ini files into /usr/share/php
+
+ dodoc php.ini-development
+ dodoc php.ini-production
+
+}
+
+php_set_ini_dir() {
+ PHP_INI_DIR="${EPREFIX}/etc/php/${1}-php${SLOT}"
+ PHP_EXT_INI_DIR="${PHP_INI_DIR}/ext"
+ PHP_EXT_INI_DIR_ACTIVE="${PHP_INI_DIR}/ext-active"
+}
+
+src_prepare() {
+ # USE=sharedmem (session/mod_mm to be exact) tries to mmap() this path
+ # ([empty session.save_path]/session_mm_[sapi][gid].sem)
+ # there is no easy way to circumvent that, all php calls during
+ # install use -n, so no php.ini file will be used.
+ # As such, this is the easiest way to get around
+ addpredict /session_mm_cli250.sem
+ addpredict /session_mm_cli0.sem
+
+ # Change PHP branding
+ # Get the alpha/beta/rc version
+ sed -re "s|^(PHP_EXTRA_VERSION=\").*(\")|\1-pl${PR/r/}-gentoo\2|g" \
+ -i configure.in || die "Unable to change PHP branding"
+
+ # Patch PHP to show Gentoo as the server platform
+ sed -e 's/PHP_UNAME=`uname -a | xargs`/PHP_UNAME=`uname -s -n -r -v | xargs`/g' \
+ -i configure.in || die "Failed to fix server platform name"
+
+ # Prevent PHP from activating the Apache config,
+ # as we will do that ourselves
+ sed -i \
+ -e "s,-i -a -n php${PHP_MV},-i -n php${PHP_MV},g" \
+ -e "s,-i -A -n php${PHP_MV},-i -n php${PHP_MV},g" \
+ configure sapi/apache2filter/config.m4 sapi/apache2handler/config.m4
+
+ # Patch PHP to support heimdal instead of mit-krb5
+ if has_version "app-crypt/heimdal" ; then
+ sed -e 's|gssapi_krb5|gssapi|g' -i acinclude.m4 \
+ || die "Failed to fix heimdal libname"
+ sed -e 's|PHP_ADD_LIBRARY(k5crypto, 1, $1)||g' -i acinclude.m4 \
+ || die "Failed to fix heimdal crypt library reference"
+ fi
+
+ #Add user patches #357637
+ epatch_user
+
+ epatch "${FILESDIR}"/php-fpm-systemd-pkg-config.patch
+
+ #force rebuilding aclocal.m4
+ rm aclocal.m4
+ eautoreconf
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # http://bugs.php.net/bug.php?id=48795, bug #343481
+ sed -i -e '/BUILD_CGI="\\$(CC)/s/CC/CXX/' configure || die
+ fi
+}
+
+src_configure() {
+ addpredict /usr/share/snmp/mibs/.index
+ addpredict /var/lib/net-snmp/mib_indexes
+
+ PHP_DESTDIR="${EPREFIX}/usr/$(get_libdir)/php${SLOT}"
+
+ # This is a global variable and should be in caps. It isn't because the
+ # phpconfutils eclass relies on exactly this name...
+ # for --with-libdir see bug #327025
+ my_conf="
+ --prefix="${PHP_DESTDIR}"
+ --mandir="${PHP_DESTDIR}"/man
+ --infodir="${PHP_DESTDIR}"/info
+ --libdir="${PHP_DESTDIR}"/lib
+ --with-libdir=$(get_libdir)
+ --without-pear
+ $(use_enable threads maintainer-zts)"
+
+ # extension USE flag shared
+ my_conf+="
+ $(use_enable bcmath bcmath )
+ $(use_with bzip2 bz2 "${EPREFIX}"/usr)
+ $(use_enable calendar calendar )
+ $(use_enable ctype ctype )
+ $(use_with curl curl "${EPREFIX}"/usr)
+ $(use_enable xml dom )
+ $(use_with enchant enchant "${EPREFIX}"/usr)
+ $(use_enable exif exif )
+ $(use_enable fileinfo fileinfo )
+ $(use_enable filter filter )
+ $(use_enable ftp ftp )
+ $(use_with nls gettext "${EPREFIX}"/usr)
+ $(use_with gmp gmp "${EPREFIX}"/usr)
+ $(use_enable hash hash )
+ $(use_with mhash mhash "${EPREFIX}"/usr)
+ $(use_with iconv iconv $(use elibc_glibc || echo "${EPREFIX}"/usr))
+ $(use_enable intl intl )
+ $(use_enable ipv6 ipv6 )
+ $(use_enable json json )
+ $(use_with kerberos kerberos "${EPREFIX}"/usr)
+ $(use_enable xml libxml )
+ $(use_with xml libxml-dir "${EPREFIX}"/usr)
+ $(use_enable unicode mbstring )
+ $(use_with crypt mcrypt "${EPREFIX}"/usr)
+ $(use_with mssql mssql "${EPREFIX}"/usr)
+ $(use_with unicode onig "${EPREFIX}"/usr)
+ $(use_with ssl openssl "${EPREFIX}"/usr)
+ $(use_with ssl openssl-dir "${EPREFIX}"/usr)
+ $(use_enable pcntl pcntl )
+ $(use_enable phar phar )
+ $(use_enable pdo pdo )
+ $(use_enable opcache opcache )
+ $(use_with postgres pgsql "${EPREFIX}"/usr)
+ $(use_enable posix posix )
+ $(use_with spell pspell "${EPREFIX}"/usr)
+ $(use_with recode recode "${EPREFIX}"/usr)
+ $(use_enable simplexml simplexml )
+ $(use_enable sharedmem shmop )
+ $(use_with snmp snmp "${EPREFIX}"/usr)
+ $(use_enable soap soap )
+ $(use_enable sockets sockets )
+ $(use_with sqlite sqlite3 "${EPREFIX}"/usr)
+ $(use_with sybase-ct sybase-ct "${EPREFIX}"/usr)
+ $(use_enable sysvipc sysvmsg )
+ $(use_enable sysvipc sysvsem )
+ $(use_enable sysvipc sysvshm )
+ $(use_with systemd fpm-systemd)
+ $(use_with tidy tidy "${EPREFIX}"/usr)
+ $(use_enable tokenizer tokenizer )
+ $(use_enable wddx wddx )
+ $(use_enable xml xml )
+ $(use_enable xmlreader xmlreader )
+ $(use_enable xmlwriter xmlwriter )
+ $(use_with xmlrpc xmlrpc)
+ $(use_with xslt xsl "${EPREFIX}"/usr)
+ $(use_enable zip zip )
+ $(use_with zlib zlib "${EPREFIX}"/usr)
+ $(use_enable debug debug )"
+
+ # DBA support
+ if use cdb || use berkdb || use flatfile || use gdbm || use inifile \
+ || use qdbm ; then
+ my_conf="${my_conf} --enable-dba${shared}"
+ fi
+
+ # DBA drivers support
+ my_conf+="
+ $(use_with cdb cdb)
+ $(use_with berkdb db4 ${EPREFIX}/usr)
+ $(use_enable flatfile flatfile )
+ $(use_with gdbm gdbm ${EPREFIX}/usr)
+ $(use_enable inifile inifile )
+ $(use_with qdbm qdbm ${EPREFIX}/usr)"
+
+ # Support for the GD graphics library
+ my_conf+="
+ $(use_with truetype freetype-dir ${EPREFIX}/usr)
+ $(use_with truetype t1lib ${EPREFIX}/usr)
+ $(use_enable cjk gd-jis-conv )
+ $(use_with gd jpeg-dir ${EPREFIX}/usr)
+ $(use_with gd png-dir ${EPREFIX}/usr)
+ $(use_with xpm xpm-dir ${EPREFIX}/usr)"
+ # enable gd last, so configure can pick up the previous settings
+ my_conf+="
+ $(use_with gd gd)"
+
+ # IMAP support
+ if use imap ; then
+ my_conf+="
+ $(use_with imap imap ${EPREFIX}/usr)
+ $(use_with ssl imap-ssl ${EPREFIX}/usr)"
+ fi
+
+ # Interbase/firebird support
+
+ if use firebird ; then
+ my_conf+="
+ $(use_with firebird interbase ${EPREFIX}/usr)"
+ fi
+
+ # LDAP support
+ if use ldap ; then
+ my_conf+="
+ $(use_with ldap ldap ${EPREFIX}/usr)
+ $(use_with ldap-sasl ldap-sasl ${EPREFIX}/usr)"
+ fi
+
+ # MySQL support
+ local mysqllib="mysqlnd"
+ local mysqlilib="mysqlnd"
+ use libmysqlclient && mysqllib="${EPREFIX}/usr"
+ use libmysqlclient && mysqlilib="${EPREFIX}/usr/bin/mysql_config"
+
+ my_conf+=" $(use_with mysql mysql $mysqllib)"
+ my_conf+=" $(use_with mysqli mysqli $mysqlilib)"
+
+ local mysqlsock=" $(use_with mysql mysql-sock ${EPREFIX}/var/run/mysqld/mysqld.sock)"
+ if use mysql ; then
+ my_conf+="${mysqlsock}"
+ elif use mysqli ; then
+ my_conf+="${mysqlsock}"
+ fi
+
+ # ODBC support
+ if use odbc ; then
+ my_conf+="
+ $(use_with odbc unixODBC ${EPREFIX}/usr)"
+ fi
+
+ if use iodbc ; then
+ my_conf+="
+ $(use_with iodbc iodbc ${EPREFIX}/usr)"
+ fi
+
+ # Oracle support
+ if use oci8-instant-client ; then
+ my_conf+="
+ $(use_with oci8-instant-client oci8)"
+ fi
+
+ # PDO support
+ if use pdo ; then
+ my_conf+="
+ $(use_with mssql pdo-dblib )
+ $(use_with mysql pdo-mysql ${mysqllib})
+ $(use_with postgres pdo-pgsql )
+ $(use_with sqlite pdo-sqlite ${EPREFIX}/usr)
+ $(use_with odbc pdo-odbc unixODBC,${EPREFIX}/usr)"
+ if use oci8-instant-client ; then
+ my_conf+="
+ $(use_with oci8-instant-client pdo-oci)"
+ fi
+ fi
+
+ # readline/libedit support
+ my_conf+="
+ $(use_with readline readline ${EPREFIX}/usr)
+ $(use_with libedit libedit ${EPREFIX}/usr)"
+
+ # Session support
+ if use session ; then
+ my_conf+="
+ $(use_with sharedmem mm ${EPREFIX}/usr)"
+ else
+ my_conf+="
+ $(use_enable session session )"
+ fi
+
+ # Use pic for shared modules such as apache2's mod_php
+ my_conf="${my_conf} --with-pic"
+
+ # we use the system copy of pcre
+ # --with-pcre-regex affects ext/pcre
+ # --with-pcre-dir affects ext/filter and ext/zip
+ my_conf="${my_conf} --with-pcre-regex=${EPREFIX}/usr --with-pcre-dir=${EPREFIX}/usr"
+
+ # Catch CFLAGS problems
+ # Fixes bug #14067.
+ # Changed order to run it in reverse for bug #32022 and #12021.
+ replace-cpu-flags "k6*" "i586"
+
+ # Support user-passed configuration parameters
+ my_conf="${my_conf} ${EXTRA_ECONF:-}"
+
+ # Support the Apache2 extras, they must be set globally for all
+ # SAPIs to work correctly, especially for external PHP extensions
+
+ mkdir -p "${WORKDIR}/sapis-build"
+ for one_sapi in $SAPIS ; do
+ use "${one_sapi}" || continue
+ php_set_ini_dir "${one_sapi}"
+
+ cp -r "${S}" "${WORKDIR}/sapis-build/${one_sapi}"
+ cd "${WORKDIR}/sapis-build/${one_sapi}"
+
+ sapi_conf="${my_conf} --with-config-file-path=${PHP_INI_DIR}
+ --with-config-file-scan-dir=${PHP_EXT_INI_DIR_ACTIVE}"
+
+ for sapi in $SAPIS ; do
+ case "$sapi" in
+ cli|cgi|embed|fpm)
+ if [[ "${one_sapi}" == "${sapi}" ]] ; then
+ sapi_conf="${sapi_conf} --enable-${sapi}"
+ else
+ sapi_conf="${sapi_conf} --disable-${sapi}"
+ fi
+ ;;
+
+ apache2)
+ if [[ "${one_sapi}" == "${sapi}" ]] ; then
+ sapi_conf="${sapi_conf} --with-apxs2=${EPREFIX}/usr/sbin/apxs"
+ else
+ sapi_conf="${sapi_conf} --without-apxs2"
+ fi
+ ;;
+ esac
+ done
+
+ econf ${sapi_conf}
+ done
+}
+
+src_compile() {
+ # snmp seems to run during src_compile, too (bug #324739)
+ addpredict /usr/share/snmp/mibs/.index
+ addpredict /var/lib/net-snmp/mib_indexes
+
+ for sapi in ${SAPIS} ; do
+ if use "${sapi}"; then
+ cd "${WORKDIR}/sapis-build/$sapi" || "Failed to change dir to ${WORKDIR}/sapis-build/$1"
+ emake || die "emake failed"
+ fi
+ done
+}
+
+src_install() {
+ # see bug #324739 for what happens when we don't have that
+ addpredict /usr/share/snmp/mibs/.index
+
+ # grab the first SAPI that got built and install common files from there
+ local first_sapi=""
+ for sapi in $SAPIS ; do
+ if use $sapi ; then
+ first_sapi=$sapi
+ break
+ fi
+ done
+
+ # Makefile forgets to create this before trying to write to it...
+ dodir "${PHP_DESTDIR#${EPREFIX}}/bin"
+
+ # Install php environment (without any sapis)
+ cd "${WORKDIR}/sapis-build/$first_sapi"
+ emake INSTALL_ROOT="${D}" \
+ install-build install-headers install-programs \
+ || die "emake install failed"
+
+ local extension_dir="$("${ED}/${PHP_DESTDIR#${EPREFIX}}/bin/php-config" --extension-dir)"
+
+ # Create the directory where we'll put version-specific php scripts
+ keepdir /usr/share/php${PHP_MV}
+
+ local sapi="", file=""
+ local sapi_list=""
+
+ for sapi in ${SAPIS}; do
+ if use "${sapi}" ; then
+ einfo "Installing SAPI: ${sapi}"
+ cd "${WORKDIR}/sapis-build/${sapi}"
+
+ if [[ "${sapi}" == "apache2" ]] ; then
+ # We're specifically not using emake install-sapi as libtool
+ # may cause unnecessary relink failures (see bug #351266)
+ insinto "${PHP_DESTDIR#${EPREFIX}}/apache2/"
+ newins ".libs/libphp5$(get_libname)" "libphp${PHP_MV}$(get_libname)"
+ keepdir "/usr/$(get_libdir)/apache2/modules"
+ else
+ # needed each time, php_install_ini would reset it
+ local dest="${PHP_DESTDIR#${EPREFIX}}"
+ into "${dest}"
+ case "$sapi" in
+ cli)
+ source="sapi/cli/php"
+ ;;
+ cgi)
+ source="sapi/cgi/php-cgi"
+ ;;
+ fpm)
+ source="sapi/fpm/php-fpm"
+ ;;
+ embed)
+ source="libs/libphp${PHP_MV}$(get_libname)"
+ ;;
+ *)
+ die "unhandled sapi in src_install"
+ ;;
+ esac
+
+ if [[ "${source}" == *"$(get_libname)" ]]; then
+ dolib.so "${source}" || die "Unable to install ${sapi} sapi"
+ else
+ dobin "${source}" || die "Unable to install ${sapi} sapi"
+ local name="$(basename ${source})"
+ dosym "${dest}/bin/${name}" "/usr/bin/${name}${SLOT}"
+ fi
+ fi
+
+ php_install_ini "${sapi}"
+
+ # construct correct SAPI string for php-config
+ # thanks to ferringb for the bash voodoo
+ if [[ "${sapi}" == "apache2" ]]; then
+ sapi_list="${sapi_list:+${sapi_list} }apache2handler"
+ else
+ sapi_list="${sapi_list:+${sapi_list} }${sapi}"
+ fi
+ fi
+ done
+
+ # Installing opcache module
+ if use_if_iuse opcache ; then
+ dolib.so "modules/opcache$(get_libname)" || die "Unable to install opcache module"
+ fi
+
+ # Install env.d files
+ newenvd "${FILESDIR}/20php5-envd" \
+ "20php${SLOT}"
+ sed -e "s|/lib/|/$(get_libdir)/|g" -i \
+ "${ED}/etc/env.d/20php${SLOT}"
+ sed -e "s|php5|php${SLOT}|g" -i \
+ "${ED}/etc/env.d/20php${SLOT}"
+
+ # set php-config variable correctly (bug #278439)
+ sed -e "s:^\(php_sapis=\)\".*\"$:\1\"${sapi_list}\":" -i \
+ "${ED}/usr/$(get_libdir)/php${SLOT}/bin/php-config"
+
+ if use fpm ; then
+ if use systemd; then
+ systemd_newunit "${FILESDIR}/php-fpm_at.service" "php-fpm@${SLOT}.service"
+ else
+ systemd_newunit "${FILESDIR}/php-fpm_at-simple.service" "php-fpm@${SLOT}.service"
+ fi
+ fi
+}
+
+src_test() {
+ echo ">>> Test phase [test]: ${CATEGORY}/${PF}"
+ PHP_BIN="${WORKDIR}/sapis-build/cli/sapi/cli/php"
+ if [[ ! -x "${PHP_BIN}" ]] ; then
+ ewarn "Test phase requires USE=cli, skipping"
+ return
+ else
+ export TEST_PHP_EXECUTABLE="${PHP_BIN}"
+ fi
+
+ if [[ -x "${WORKDIR}/sapis/cgi/php-cgi" ]] ; then
+ export TEST_PHP_CGI_EXECUTABLE="${WORKDIR}/sapis/cgi/php-cgi"
+ fi
+
+ REPORT_EXIT_STATUS=1 "${TEST_PHP_EXECUTABLE}" -n -d "session.save_path=${T}" \
+ "${WORKDIR}/sapis-build/cli/run-tests.php" -n -q -d "session.save_path=${T}"
+
+ for name in ${EXPECTED_TEST_FAILURES}; do
+ mv "${name}.out" "${name}.out.orig" 2>/dev/null
+ done
+
+ local failed="$(find -name '*.out')"
+ if [[ ${failed} != "" ]] ; then
+ ewarn "The following test cases failed unexpectedly:"
+ for name in ${failed}; do
+ ewarn " ${name/.out/}"
+ done
+ else
+ einfo "No unexpected test failures, all fine"
+ fi
+
+ if [[ ${PHP_SHOW_UNEXPECTED_TEST_PASS} == "1" ]] ; then
+ local passed=""
+ for name in ${EXPECTED_TEST_FAILURES}; do
+ [[ -f "${name}.diff" ]] && continue
+ passed="${passed} ${name}"
+ done
+ if [[ ${passed} != "" ]] ; then
+ einfo "The following test cases passed unexpectedly:"
+ for name in ${passed}; do
+ ewarn " ${passed}"
+ done
+ else
+ einfo "None of the known-to-fail tests passed, all fine"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ # Output some general info to the user
+ if use apache2 ; then
+ APACHE2_MOD_DEFINE="PHP5"
+ APACHE2_MOD_CONF="70_mod_php5"
+ apache-module_pkg_postinst
+ fi
+
+ # Create the symlinks for php
+ for m in ${SAPIS}; do
+ [[ ${m} == 'embed' ]] && continue;
+ if use $m ; then
+ local ci=$(eselect php show $m)
+ if [[ -z $ci ]]; then
+ eselect php set $m php${SLOT}
+ einfo "Switched ${m} to use php:${SLOT}"
+ einfo
+ elif [[ $ci != "php${SLOT}" ]] ; then
+ elog "To switch $m to use php:${SLOT}, run"
+ elog " eselect php set $m php${SLOT}"
+ elog
+ fi
+ fi
+ done
+
+ elog "Make sure that PHP_TARGETS in ${EPREFIX}/etc/make.conf includes php${SLOT/./-} in order"
+ elog "to compile extensions for the ${SLOT} ABI"
+ elog
+ if ! use readline && use cli ; then
+ ewarn "Note that in order to use php interactivly, you need to enable"
+ ewarn "the readline USE flag or php -a will hang"
+ fi
+ elog
+ elog "This ebuild installed a version of php.ini based on php.ini-${PHP_INI_VERSION} version."
+ elog "You can chose which version of php.ini to install by default by setting PHP_INI_VERSION to either"
+ elog "'production' or 'development' in ${EPREFIX}/etc/make.conf"
+ elog "Both versions of php.ini can be found in ${EPREFIX}/usr/share/doc/${PF}"
+
+ elog
+ elog "For more details on how minor version slotting works (PHP_TARGETS) please read the upgrade guide:"
+ elog "http://www.gentoo.org/proj/en/php/php-upgrading.xml"
+ elog
+}
+
+pkg_prerm() {
+ eselect php cleanup
+}
diff --git a/dev-libs/folks/Manifest b/dev-libs/folks/Manifest
new file mode 100644
index 0000000..bc36c46
--- /dev/null
+++ b/dev-libs/folks/Manifest
@@ -0,0 +1,2 @@
+DIST folks-0.11.0.tar.xz 1928320 SHA256 7f6306344f305538ffda263b1085bdcb7039ec0551825dd503f6a3a18cb73061 SHA512 a297a266d63e2365309df7305fc06695a2e03e333f5952cb28328dc15466dd4ec7d705db0187f84dd96e90f2145a2ba40b34256f32f6da839a6aeef0286dcc3e WHIRLPOOL eb1a638753e2f66145a7ddd5d13c3e636626921608c545157979e6feabe67862b65785d293e822e2ea76f1a05dd4f9678f2c64ef1f46afe2f905998b97861015
+EBUILD folks-0.11.0.ebuild 2512 SHA256 4987526c8f7b6275b8726a40f80f091e443d9937ccd64aa7252e7bb9a89883d1 SHA512 396d27f1274841dd434d4b03925f96a1f7412d0506f8a06cf1ac110e75304793b1b709a938146cb4e0933a12db06a7055c25feeaceb7258e878fb392104870df WHIRLPOOL b4c8c51a2713f0fc363732bfa6215646d9666f30b3c2b5f1c1ca420286cdfb3db0997d4f6fbcd2b79dec23e86d286cfa5accb46c67de250568b3cc946970771b
diff --git a/dev-libs/folks/folks-0.11.0.ebuild b/dev-libs/folks/folks-0.11.0.ebuild
new file mode 100644
index 0000000..3197da4
--- /dev/null
+++ b/dev-libs/folks/folks-0.11.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/folks/folks-0.10.1-r1.ebuild,v 1.1 2015/01/27 09:34:18 pacho Exp $
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+VALA_MIN_API_VERSION="0.22"
+VALA_USE_DEPEND="vapigen"
+
+inherit gnome2 vala virtualx
+
+DESCRIPTION="Library for aggregating people from multiple sources"
+HOMEPAGE="https://wiki.gnome.org/Projects/Folks"
+
+LICENSE="LGPL-2.1+"
+SLOT="0/25" # subslot = libfolks soname version
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-linux"
+
+# TODO: --enable-profiling
+# Vala isn't really optional, https://bugzilla.gnome.org/show_bug.cgi?id=701099
+IUSE="bluetooth eds +telepathy test tracker utils zeitgeist"
+REQUIRED_USE="bluetooth? ( eds )"
+
+COMMON_DEPEND="
+ $(vala_depend)
+ >=dev-libs/glib-2.38.2:2
+ dev-libs/dbus-glib
+ >=dev-libs/libgee-0.10:0.8[introspection]
+ dev-libs/libxml2
+ sys-libs/ncurses:=
+ sys-libs/readline:=
+
+ bluetooth? ( >=net-wireless/bluez-5 )
+ eds? ( >=gnome-extra/evolution-data-server-3.13:=[vala] )
+ telepathy? ( >=net-libs/telepathy-glib-0.19[vala] )
+ tracker? ( >=app-misc/tracker-1:0= )
+ zeitgeist? ( >=gnome-extra/zeitgeist-0.9.14 )
+"
+# telepathy-mission-control needed at runtime; it is used by the telepathy
+# backend via telepathy-glib's AccountManager binding.
+RDEPEND="${COMMON_DEPEND}
+ net-im/telepathy-mission-control
+"
+# folks socialweb backend requires that libsocialweb be built with USE=vala,
+# even when building folks with --disable-vala.
+#
+# FIXME:
+# test? ( bluetooth? ( dbusmock is missing in the tree ) )
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/gobject-introspection-1.30
+ >=dev-util/intltool-0.50.0
+ sys-devel/gettext
+ virtual/pkgconfig
+
+ test? ( sys-apps/dbus
+ bluetooth? (
+ >=gnome-extra/evolution-data-server-3.9.1
+ >=dev-libs/glib-2.39.2:2 ) )
+ !<dev-lang/vala-0.22.1:0.22
+"
+
+src_prepare() {
+ vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Rebuilding docs needs valadoc, which has no release
+ gnome2_src_configure \
+ $(use_enable bluetooth bluez-backend) \
+ $(use_enable eds eds-backend) \
+ $(use_enable eds ofono-backend) \
+ $(use_enable telepathy telepathy-backend) \
+ $(use_enable tracker tracker-backend) \
+ $(use_enable utils inspect-tool) \
+ $(use_enable test tests) \
+ $(use_enable zeitgeist) \
+ --enable-vala \
+ --enable-import-tool \
+ --disable-docs \
+ --disable-fatal-warnings \
+ --disable-libsocialweb-backend
+}
+
+src_test() {
+ dbus-launch Xemake check
+}
diff --git a/media-gfx/alchemy/alchemy-0.8.ebuild b/media-gfx/alchemy/alchemy-0.8.ebuild
new file mode 100644
index 0000000..1a121dc
--- /dev/null
+++ b/media-gfx/alchemy/alchemy-0.8.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+inherit eutils fdo-mime java-pkg-2 java-ant-2 versionator subversion
+
+DESCRIPTION="Drawing program used for creating shapes, with interactivity and creativity as main focus."
+HOMEPAGE="http://al.chemy.org/"
+ESVN_REPO_URI="http://svn.al.chemy.org/svn"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="${RDEPEND}
+ dev-util/desktop-file-utils
+ >=virtual/jdk-1.5"
+RDEPEND=">=virtual/jre-1.5"
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-build.xml-install.patch"
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+EANT_BUILD_XML="./Alchemy/build.xml"
+
+
+src_compile() {
+ local mem
+ use amd64 && mem="320"
+ use x86 && mem="192"
+ use ppc && mem="192"
+ use ppc64 && mem="256"
+ export ANT_OPTS="-Xmx${mem}m"
+ java-pkg-2_src_compile
+}
+
+
+src_install() {
+ java-pkg_dojar Alchemy/dist/Alchemy.jar
+ insinto /usr/share/${PN}
+ doins -r "${WORKDIR}"/${P}/Alchemy/dist/Alchemy/*
+
+ java-pkg_dolauncher "${PN}" \
+ --pwd /usr/share/"${PN}"
+
+ newicon "${WORKDIR}"/${P}/Alchemy/src/org/alchemy/data/alchemy-logo64.png alchemy.png
+ domenu "${FILESDIR}/${PN}.desktop"
+
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
diff --git a/media-gfx/alchemy/files/alchemy-0.8-build.xml-install.patch b/media-gfx/alchemy/files/alchemy-0.8-build.xml-install.patch
new file mode 100644
index 0000000..a351ad0
--- /dev/null
+++ b/media-gfx/alchemy/files/alchemy-0.8-build.xml-install.patch
@@ -0,0 +1,306 @@
+--- build.xml 2011-02-12 04:09:10.000000000 +0100
++++ build.xml 2011-02-12 04:04:42.000000000 +0100
+@@ -5,89 +5,11 @@
+ <project name="Alchemy" default="default" basedir=".">
+ <description>Builds, tests, and runs the project Alchemy.</description>
+ <import file="nbproject/build-impl.xml"/>
+-
+- <import file="nbproject/profiler-build-impl.xml"/> <import file="nbproject/profiler-build-impl.xml"/>
++ <import file="nbproject/profiler-build-impl.xml"/>
+
+ <!-- Import the resource bundle where the version info is stored -->
+ <property file="${basedir}/src/org/alchemy/core/AlcResourceBundle.properties"/>
+
+- <!-- Detect the OS -->
+- <condition property="mac">
+- <os family="mac"/>
+- </condition>
+- <condition property="unix">
+- <and>
+- <os family="unix"/>
+- <not>
+- <os family="mac"/>
+- </not>
+- </and>
+- </condition>
+- <condition property="windows">
+- <os family="windows"/>
+- </condition>
+-
+- <!--
+-
+- There exist several targets which are by default empty and which can be
+- used for execution of your tasks. These targets are usually executed
+- before and after some main targets. They are:
+-
+- -pre-init: called before initialization of project properties
+- -post-init: called after initialization of project properties
+- -pre-compile: called before javac compilation
+- -post-compile: called after javac compilation
+- -pre-compile-single: called before javac compilation of single file
+- -post-compile-single: called after javac compilation of single file
+- -pre-compile-test: called before javac compilation of JUnit tests
+- -post-compile-test: called after javac compilation of JUnit tests
+- -pre-compile-test-single: called before javac compilation of single JUnit test
+- -post-compile-test-single: called after javac compilation of single JUunit test
+- -pre-jar: called before JAR building
+- -post-jar: called after JAR building
+- -post-clean: called after cleaning build products
+-
+- (Targets beginning with '-' are not intended to be called on their own.)
+-
+- Example of inserting an obfuscator after compilation could look like this:
+-
+- <target name="-post-compile">
+- <obfuscate>
+- <fileset dir="${build.classes.dir}"/>
+- </obfuscate>
+- </target>
+-
+- For list of available properties check the imported
+- nbproject/build-impl.xml file.
+-
+-
+- Another way to customize the build is by overriding existing main targets.
+- The targets of interest are:
+-
+- -init-macrodef-javac: defines macro for javac compilation
+- -init-macrodef-junit: defines macro for junit execution
+- -init-macrodef-debug: defines macro for class debugging
+- -init-macrodef-java: defines macro for class execution
+- -do-jar-with-manifest: JAR building (if you are using a manifest)
+- -do-jar-without-manifest: JAR building (if you are not using a manifest)
+- run: execution of project
+- -javadoc-build: Javadoc generation
+- test-report: JUnit report generation
+-
+- An example of overriding the target for project execution could look like this:
+-
+- <target name="run" depends="Alchemy-impl.jar">
+- <exec dir="bin" executable="launcher.exe">
+- <arg file="${dist.jar}"/>
+- </exec>
+- </target>
+-
+- Notice that the overridden target depends on the jar target and not only on
+- the compile target as the regular run target does. Again, for a list of available
+- properties which you can use, check the target you are overriding in the
+- nbproject/build-impl.xml file.
+-
+- -->
+ <target name="-pre-jar">
+ <!-- Ant config lets us loop & use if statements -->
+ <taskdef resource="net/sf/antcontrib/antcontrib.properties">
+@@ -104,21 +26,7 @@
+ <unjar src="${file.reference.foxtrot.jar}" dest="${build.classes.dir}"/>
+ <unjar src="${file.reference.PDFRenderer.jar}" dest="${build.classes.dir}"/>
+ <unjar src="${file.reference.mime-util.jar}" dest="${build.classes.dir}"/>
+-
+- <if>
+- <equals arg1="${mac}" arg2="true" />
+- <then>
+- <echo message="Ignoring the JPen Library for now" />
+- </then>
+- <else>
+- <unjar src="${file.reference.jpen-2.jar}" dest="${build.classes.dir}"/>
+- </else>
+- </if>
+-
+-
+- <!--
+- <unjar src="${file.reference.beads.jar}" dest="${build.classes.dir}"/>
+- -->
++ <unjar src="${file.reference.jpen-2.jar}" dest="${build.classes.dir}"/>
+ <unjar src="${file.reference.miglayout.jar}" dest="${build.classes.dir}"/>
+
+ <!-- The mass of batik libraries -->
+@@ -231,98 +139,11 @@
+ <fileset dir="${basedir}/shapes" />
+ </copy>
+
+-
+-
+-
+-
+ <!-- Create platform specific executables -->
+- <antcall target="mac"/>
+ <antcall target="unix"/>
+- <antcall target="windows"/>
+- </target>
+-
+-
+- <!--
+- ======================
+- MAC
+- ======================
+- -->
+- <target name="mac" if="mac">
+-
+- <!-- Create the mac .app executable bundle -->
+- <taskdef name="jarbundler" classname="net.sourceforge.jarbundler.JarBundler" >
+- <classpath>
+- <pathelement location="${basedir}/lib/ant/jarbundler-2.0.0.jar"/>
+- </classpath>
+- </taskdef>
+- <jarbundler
+-
+- dir="${alchemy.dir}"
+- name="${application.title}"
+- mainclass="${main.class}"
+- jar="${dist.jar}"
+-
+- icon="${basedir}/res/Alchemy.icns"
+- jvmversion="1.5+"
+- version="${version.numeric}"
+- infostring="${version.string}, ${copyright}"
+- arguments="-Xms128m -Xmx512m">
+-
+- <!-- Adjust the look, feel and behavior -->
+- <javaproperty name="apple.laf.useScreenMenuBar" value="true"/>
+- </jarbundler>
+- <property name="mac.bundle" value="${alchemy.dir}/Alchemy.app/Contents/Resources/Java" />
+-
+- <!-- Copy the Quaqua libraries for more mac looking interface support -->
+- <copy file="${file.reference.quaqua.jar}" todir="${mac.bundle}/lib"/>
+- <copy file="${basedir}/lib/quaqua/libquaqua.jnilib" todir="${mac.bundle}"/>
+- <copy file="${basedir}/lib/quaqua/libquaqua64.jnilib" todir="${mac.bundle}"/>
+-
+- <!-- Alchemy Native -->
+- <copy file="${basedir}/lib/libAlcNative.jnilib" todir="${mac.bundle}"/>
+-
+- <!-- JPen -->
+- <!-- Copy the regular version -->
+- <copy file="${basedir}/lib/jpen/libjpen-2-3.jnilib" todir="${mac.bundle}"/>
+- <copy file="${file.reference.jpen-2.jar}" todir="${mac.bundle}/lib"/>
+-
+- <!-- Copy the Tiger version
+- <copy file="${basedir}/lib/jpen/jpen-tiger/libjpen-2.jnilib" todir="${mac.bundle}"/>
+- <copy file="${basedir}/lib/jpen/jpen-tiger/jpen-2.jar" todir="${mac.bundle}/lib"/>
+- -->
+-
+- <!-- Delete the Alchemy Jar file -->
+- <delete file="${dist.dir}/Alchemy.jar"/>
+-
+-
+- <!-- Move the Alchemy folder to a sub directory to make a drag and drop install easier -->
+- <move todir="${alchemy.dir}/Alchemy">
+- <fileset dir="${alchemy.dir}" />
+- </move>
+-
+- <!-- Create a Mac .dmg file for distribution.
+- Create a hidden folder and copy the background image,
+- then copy the DS_Store file which holds the preferences of how it looks,
+- finally create the .dmg file using the command line hdiutil -->
+- <copy file="${basedir}/res/dmg/Alchemy.png" todir="${alchemy.dir}/.background"/>
+- <copy file="${basedir}/res/dmg/DS_Store" todir="${alchemy.dir}"/>
+- <move file="${alchemy.dir}/DS_Store" tofile="${alchemy.dir}/.DS_Store"/>
+-
+-
+-
+- <exec executable="hdiutil">
+- <arg line="create -srcfolder ${alchemy.dir} ${dist.dir}/Alchemy-${version.number}.dmg"/>
+- </exec>
+-
+-
+- <move todir="${alchemy.dir}">
+- <fileset dir="${alchemy.dir}/Alchemy" />
+- </move>
+-
+ </target>
+
+
+-
+ <!--
+ ======================
+ LINUX
+@@ -344,82 +165,20 @@
+
+ <!-- Move the Jar file -->
+ <move file="${dist.dir}/Alchemy.jar" tofile="${alchemy.dir}/Alchemy.jar"/>
++ <echo message="Copying modules" />
++ <copy todir="${alchemy.dir}/modules">
++ <fileset dir="${dist.dir}/modules">
++ <include name="*.zip"/>
++ </fileset>
++ </copy>
+
+- <!-- Create a .tar.gz for distribution -->
++ <!-- Create a .tar.gz for distribution
+ <tar destfile="${dist.dir}/Alchemy-${version.number}.tar" basedir="${dist.dir}"/>
+ <gzip destfile="${dist.dir}/Alchemy-${version.number}.tar.gz" src="${dist.dir}/Alchemy-${version.number}.tar"/>
+ <delete file="${dist.dir}/Alchemy-${version.number}.tar" />
+-
++ -->
+ </target>
+
+-
+-
+- <!--
+- ======================
+- WINDOWS
+- ======================
+- -->
+- <target name="windows" if="windows">
+-
+- <!--
+- Create the Windows executable bundle
+- Launch4j needs to be installed into the Program Files folder
+- http://launch4j.sourceforge.net/
+- -->
+- <property name="launch4j.dir" location="C:/Program Files/Launch4j" />
+- <taskdef name="launch4j"
+- classname="net.sf.launch4j.ant.Launch4jTask"
+- classpath="${launch4j.dir}/launch4j.jar
+- :${launch4j.dir}/lib/xstream.jar" />
+- <launch4j>
+- <config
+- dontWrapJar="false"
+- headerType="console"
+- jarPath="${dist.jar}"
+- outfile="${alchemy.dir}/Alchemy.exe"
+- errTitle="Java Install Required"
+- priority="normal"
+- downloadUrl="http://java.com/download"
+- customProcName="true"
+- stayAlive="false"
+- icon="${basedir}/res/Alchemy.ico">
+- <jre
+- minVersion="1.5.0"
+- dontUsePrivateJres="false"
+- initialHeapSize="128"
+- maxHeapSize="512">
+- <opt>-Djava.library.path=lib</opt>
+- </jre>
+- <versionInfo
+- fileVersion="${version.numeric}"
+- txtFileVersion="${version.string}"
+- productVersion="${version.numeric}"
+- fileDescription="${application.desc}"
+- copyright="${copyright}"
+- txtProductVersion="${version.string}"
+- productName="${application.title}"
+- internalName="${application.title}"
+- originalFilename="Alchemy.exe"
+- />
+- </config>
+- </launch4j>
+-
+-
+- <!-- JPen -->
+- <copy file="${basedir}/lib/jpen/jpen-2-2.dll" todir="${alchemy.dir}/lib"/>
+- <copy file="${basedir}/lib/jpen/jpen-2-2-64.dll" todir="${alchemy.dir}/lib"/>
+-
+- <!-- Delete the Alchemy Jar file -->
+- <delete file="${dist.dir}/Alchemy.jar"/>
+-
+- <!-- Create a .zip for distribution -->
+- <zip destfile="${dist.dir}/Alchemy-${version.number}.zip"
+- basedir="${dist.dir}"
+- />
+-
+- </target>
+-
+-
+ <!-- JAVA DOCS -->
+ <target name="-javadoc-build" depends="init">
+ <mkdir dir="${dist.javadoc.dir}"/>
diff --git a/media-sound/tuxguitar/Manifest b/media-sound/tuxguitar/Manifest
new file mode 100644
index 0000000..f4ebb8a
--- /dev/null
+++ b/media-sound/tuxguitar/Manifest
@@ -0,0 +1,2 @@
+DIST tuxguitar-src-1.2.tar.gz 2548224 SHA256 84a4fc6ae4802442fd0cc011e19316c0e4ca5a6d684db4306cdf19d09e703ebc SHA512 b2b73a370bd0189a26859844201a513db27048068701f02e2e2002bf96dec344d2dc08ddd1987bd5d70bc869547c66261dd27db11c6bf0844dc127ce89a3dd93 WHIRLPOOL 27db7fc80eb216f15a91b92dfc2e1f1ecb70a0cbb4aa22e49bd62cf9fc86c8612d73252bc5f1ad640a301cb603682f18e30204bbd600cb31e71b323480eea34e
+EBUILD tuxguitar-1.2.ebuild 3392 SHA256 3446a0bd90fdef6281df5eb07c53fa117ee8eb0798efb246f045514954baffa4 SHA512 045c9515993afb940e1f36a9c0b236fc521ae1c3485f5defd0b42d7f160895242ef433e9789f4d59f4896102bb9e6393e31111847f37aed6c7977e8af66119e0 WHIRLPOOL 94d3d858d34681b184c1b23650f273bc97c79a88843312905205a58a501ed9b71d2dfe260bb5c59116c8ac1ba066248b181a31916d0eb12e5b3c1ad4ab65a52f
diff --git a/media-sound/tuxguitar/tuxguitar-1.2.ebuild b/media-sound/tuxguitar/tuxguitar-1.2.ebuild
new file mode 100644
index 0000000..8ec01c5
--- /dev/null
+++ b/media-sound/tuxguitar/tuxguitar-1.2.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /home/robert/ebuilds/tuxguitar-1.2-r1.ebuild,v 1.2 2009/11/13 16:12:45 robert Exp $
+
+EAPI="2"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2 toolchain-funcs flag-o-matic fdo-mime gnome2-utils
+
+MY_P="${PN}-src-${PV}"
+DESCRIPTION="TuxGuitar is a multitrack guitar tablature editor and player written in Java-SWT"
+HOMEPAGE="http://www.tuxguitar.com.ar/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="alsa fluidsynth oss pdf timidity"
+
+KEYWORDS="~amd64 ~x86"
+CDEPEND="dev-java/swt:3.5[cairo]
+ alsa? ( media-libs/alsa-lib )
+ fluidsynth? ( media-sound/fluidsynth )
+ pdf? ( dev-java/itext:0 )"
+RDEPEND=">=virtual/jre-1.6
+ timidity? (
+ alsa? ( media-sound/timidity++[alsa] )
+ oss? ( media-sound/timidity++[oss] )
+ media-sound/timidity++
+ )
+ ${CDEPEND}"
+
+DEPEND=">=virtual/jdk-1.6
+ ${CDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ java-pkg_jar-from --into TuxGuitar/lib swt-3.5
+ java-pkg-2_src_prepare
+}
+
+src_compile() {
+ if use pdf; then
+ echo "" >> TuxGuitar-pdf/build.properties || die
+ echo "path.itext=$(java-pkg_getjar itext iText.jar)" >> TuxGuitar-pdf/build.properties || die "Error adding itext path"
+ echo "path.swt=$(java-pkg_getjar swt-3.5 swt.jar)" >> TuxGuitar-pdf/build.properties || die "Error adding swt path"
+ fi
+ cd TuxGuitar || die "cd failed"
+ eant all
+ for plugin in $(list_plugins); do
+ plugin_compile $plugin
+ done
+}
+
+src_install() {
+ cd TuxGuitar || die "cd failed"
+ java-pkg_dojar tuxguitar.jar
+ use source && java-pkg_dosrc src/org
+ # TODO: Decide if plugin sources should be installed
+ java-pkg_dolauncher ${PN} \
+ --main org.herac.tuxguitar.gui.TGMain \
+ --java_args "-Xms128m -Xmx128m -Dtuxguitar.share.path=/usr/share/${PN}/lib/share"
+ # Images and Files
+ insinto /usr/share/${PN}/lib
+ doins -r share || die "doins failed"
+ java-pkg_sointo /usr/share/${PN}/lib/lib
+ for plugin in $(list_plugins); do
+ plugin_install $plugin
+ done
+ doman "${S}/misc/${PN}.1" || die "doman failed"
+ insinto /usr/share/mime/packages
+ doins "${S}/misc/${PN}.xml"
+ doicon "${S}/misc/${PN}.xpm" || die "doicon failed"
+ domenu "${S}/misc/${PN}.desktop" || die "domenu failed"
+}
+
+plugin_compile() {
+ cd "${S}"/TuxGuitar-${1} || die
+ eant all
+ if [[ -d jni ]]; then
+ append-flags $(java-pkg_get-jni-cflags)
+ cd jni || die "\"cd jni\" failed"
+ CC=$(tc-getCC) emake || die "emake failed"
+ fi
+}
+
+plugin_install() {
+ cd "${S}"/TuxGuitar-${1} || die
+ local TUXGUITAR_INST_PATH=/usr/share/${PN}/lib
+ local BINARY_NAME=tuxguitar-${1}
+ insinto ${TUXGUITAR_INST_PATH}/share/plugins
+ doins ${BINARY_NAME}.jar || die "doins ${BINARY_NAME}.jar failed"
+ #TuxGuitar has its own classloader. No need to register the plugins.
+ if [[ -d jni ]]; then
+ java-pkg_doso jni/lib${BINARY_NAME}-jni.so
+ fi
+}
+
+#Return list of plugins to compile/install
+list_plugins() {
+ echo \
+ $(usev alsa) ascii browser-ftp compat converter $(usev fluidsynth) gtp \
+ jsa lilypond midi musicxml $(usev oss) $(usev pdf) ptb tef tray tuner
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+ if use fluidsynth; then
+ ewarn "Fluidsynth plugin blocks behavior of JSA plugin."
+ ewarn "Enable only one of them in \"Tools > Plugins\""
+ fi
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/net-misc/vinagre/ChangeLog b/net-misc/vinagre/ChangeLog
new file mode 100644
index 0000000..c2be4a1
--- /dev/null
+++ b/net-misc/vinagre/ChangeLog
@@ -0,0 +1,439 @@
+# ChangeLog for net-misc/vinagre
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/vinagre/ChangeLog,v 1.110 2014/12/23 23:08:46 eva Exp $
+
+*vinagre-3.14.3 (23 Dec 2014)
+
+ 23 Dec 2014; Gilles Dartiguelongue <eva@gentoo.org> +vinagre-3.14.3.ebuild:
+ Version bump for Gnome 3.14. Dropped keywords due to bug #523924.
+
+ 13 Nov 2014; Pacho Ramos <pacho@gentoo.org>
+ -files/vinagre-2.30.3-gmodule.patch, -vinagre-2.30.3.ebuild, metadata.xml:
+ Drop old (#508854)
+
+ 07 Sep 2014; Pacho Ramos <pacho@gentoo.org> -vinagre-3.10.2.ebuild,
+ -vinagre-3.12.1.ebuild, vinagre-3.12.2.ebuild:
+ Pull in app-emulation/spice-protocol (#508820 by Alexander Tsoy), drop old
+
+ 23 Jul 2014; Agostino Sarubbo <ago@gentoo.org> vinagre-3.12.2.ebuild:
+ Stable for x86, wrt bug #512012
+
+ 22 Jul 2014; Agostino Sarubbo <ago@gentoo.org> vinagre-3.12.2.ebuild:
+ Stable for amd64, wrt bug #512912
+
+ 18 Jul 2014; Tobias Klausmann <klausman@gentoo.org> vinagre-3.12.1.ebuild,
+ vinagre-3.12.2.ebuild:
+ Alpha is dropping keywords on >=net-misc/vinagre-3.12. There are plenty of
+ alternative VNC clients and servers. If a user wants to use vinagre on Alpha,
+ they can always open a bug and we'll re-evaluate.
+
+*vinagre-3.12.2 (31 May 2014)
+
+ 31 May 2014; Pacho Ramos <pacho@gentoo.org> +vinagre-3.12.2.ebuild:
+ Version bump
+
+*vinagre-3.12.1 (27 Apr 2014)
+
+ 27 Apr 2014; Gilles Dartiguelongue <eva@gentoo.org> +vinagre-3.12.1.ebuild:
+ Version bump for Gnome 3.12.
+
+ 27 Apr 2014; Pacho Ramos <pacho@gentoo.org> -vinagre-3.8.3.ebuild:
+ drop old
+
+ 15 Mar 2014; Pacho Ramos <pacho@gentoo.org> vinagre-3.10.2.ebuild:
+ Uses net-misc/freerdp instead of net-misc/rdesktop (#504594 by Kobboi)
+
+ 09 Mar 2014; Pacho Ramos <pacho@gentoo.org> vinagre-3.10.2.ebuild:
+ x86 stable, bug 499954
+
+ 09 Mar 2014; Pacho Ramos <pacho@gentoo.org> vinagre-3.10.2.ebuild:
+ amd64 stable, bug 499954
+
+ 22 Feb 2014; Pacho Ramos <pacho@gentoo.org> vinagre-3.10.2.ebuild:
+ Fix wrong commit, bug 502160
+
+ 05 Jan 2014; Alexandre Rostovtsev <tetromino@gentoo.org>
+ vinagre-2.30.3.ebuild, +files/vinagre-2.30.3-gmodule.patch:
+ Fix underlinking failure (bug #497116, thanks to d_dart).
+
+*vinagre-3.10.2 (24 Dec 2013)
+
+ 24 Dec 2013; Pacho Ramos <pacho@gentoo.org> +vinagre-3.10.2.ebuild,
+ -vinagre-3.6.2.ebuild, -vinagre-3.8.2.ebuild:
+ Version bump for Gnome 3.10
+
+ 08 Dec 2013; Pacho Ramos <pacho@gentoo.org> vinagre-3.8.3.ebuild:
+ x86 stable, bug #478252
+
+ 30 Nov 2013; Pacho Ramos <pacho@gentoo.org> vinagre-3.8.3.ebuild:
+ amd64 stable, bug #478252
+
+*vinagre-3.8.3 (01 Aug 2013)
+
+ 01 Aug 2013; Pacho Ramos <pacho@gentoo.org> +vinagre-3.8.3.ebuild,
+ -vinagre-3.8.1.ebuild:
+ Version bump, drop old
+
+*vinagre-3.8.2 (14 May 2013)
+
+ 14 May 2013; Pacho Ramos <pacho@gentoo.org> +vinagre-3.8.2.ebuild,
+ -vinagre-3.8.0.ebuild:
+ Version bump, drop old
+
+*vinagre-3.8.1 (19 Apr 2013)
+
+ 19 Apr 2013; Pacho Ramos <pacho@gentoo.org> +vinagre-3.8.1.ebuild:
+ Version bump
+
+ 30 Mar 2013; Gilles Dartiguelongue <eva@gentoo.org> -vinagre-3.4.2.ebuild:
+ Clean up old revision.
+
+*vinagre-3.8.0 (28 Mar 2013)
+
+ 28 Mar 2013; Pacho Ramos <pacho@gentoo.org> +vinagre-3.8.0.ebuild:
+ Version bump for Gnome 3.8
+
+ 02 Feb 2013; Agostino Sarubbo <ago@gentoo.org> vinagre-3.6.2.ebuild:
+ Add ~arm, wrt bug #449220
+
+ 07 Jan 2013; Alexandre Rostovtsev <tetromino@gentoo.org>
+ vinagre-2.30.3.ebuild, vinagre-3.4.2.ebuild, vinagre-3.6.2.ebuild:
+ Do not require itstool (bug #450700, thanks to Peter Wilmott). Update
+ license.
+
+ 06 Jan 2013; Agostino Sarubbo <ago@gentoo.org> vinagre-3.6.2.ebuild:
+ Add ~sparc, wrt bug #449220
+
+ 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> vinagre-3.6.2.ebuild:
+ Add ~alpha, wrt bug #449220
+
+ 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> vinagre-3.6.2.ebuild:
+ Add ~ia64, wrt bug #449220
+
+ 31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> vinagre-3.6.2.ebuild:
+ Add ~ppc64, wrt bug #449220
+
+ 31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> vinagre-3.6.2.ebuild:
+ Add ~ppc, wrt bug #449220
+
+*vinagre-3.6.2 (18 Dec 2012)
+
+ 18 Dec 2012; Gilles Dartiguelongue <eva@gentoo.org> -vinagre-3.2.2.ebuild,
+ +vinagre-3.6.2.ebuild, metadata.xml:
+ Version bump for Gnome 3.6. Update homepage and license. Drop old revision.
+
+ 25 Oct 2012; Gilles Dartiguelongue <eva@gentoo.org> vinagre-3.4.2.ebuild,
+ metadata.xml:
+ Add missing rdesktop support and make it optional, bug 435552.
+
+*vinagre-3.4.2 (20 May 2012)
+
+ 20 May 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
+ -vinagre-3.2.1.ebuild, -files/vinagre-3.2.1-authenticate-button.patch,
+ -files/vinagre-3.2.1-hold-slave-pty-open.patch,
+ -files/vinagre-3.2.1-implicit-function-declarations.patch,
+ +vinagre-3.4.2.ebuild, metadata.xml:
+ Bump for gnome-3.4 and enable optional spice support (untested). Drop old.
+
+ 05 May 2012; Jeff Horelick <jdhore@gentoo.org> vinagre-2.30.3.ebuild,
+ vinagre-3.2.1.ebuild, vinagre-3.2.2.ebuild:
+ dev-util/pkgconfig -> virtual/pkgconfig
+
+*vinagre-3.2.2 (17 Dec 2011)
+
+ 17 Dec 2011; Alexandre Rostovtsev <tetromino@gentoo.org>
+ +vinagre-3.2.2.ebuild:
+ Version bump. Includes upstream patch to build plugins into the executable to
+ make RDP and SSH usable (bug #394817, thanks to Philipp Reinkemeier for
+ reporting).
+
+*vinagre-3.2.1 (07 Nov 2011)
+
+ 07 Nov 2011; Alexandre Rostovtsev <tetromino@gentoo.org>
+ -vinagre-3.0.2.ebuild, +vinagre-3.2.1.ebuild,
+ +files/vinagre-3.2.1-authenticate-button.patch,
+ +files/vinagre-3.2.1-hold-slave-pty-open.patch,
+ +files/vinagre-3.2.1-implicit-function-declarations.patch, metadata.xml:
+ Bump to 3.2.1 from the gnome overlay, drop old. Notable changes: updated UI,
+ libpeas and gobject-introspection usage was removed, some parts were
+ rewritten in vala.
+
+*vinagre-3.0.2 (19 Aug 2011)
+
+ 19 Aug 2011; Nirbheek Chauhan <nirbheek@gentoo.org> +vinagre-3.0.2.ebuild,
+ metadata.xml:
+ Bump to 3.0.2, from gnome overlay for GNOME 3
+
+ 27 Mar 2011; Nirbheek Chauhan <nirbheek@gentoo.org>
+ -vinagre-2.30.2.ebuild:
+ Remove old
+
+ 23 Mar 2011; Samuli Suominen <ssuominen@gentoo.org> vinagre-2.30.2.ebuild,
+ vinagre-2.30.3.ebuild:
+ Use SLOT dependencies for x11-libs/vte.
+
+ 22 Mar 2011; Brent Baude <ranger@gentoo.org> vinagre-2.30.3.ebuild:
+ Marking vinagre-2.30.3 ppc stable for bug 353436
+
+ 21 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> vinagre-2.30.3.ebuild:
+ ppc64 stable wrt #353436
+
+ 30 Jan 2011; Raúl Porcel <armin76@gentoo.org> vinagre-2.30.3.ebuild:
+ alpha/ia64/sparc stable wrt #348987
+
+ 24 Jan 2011; Gilles Dartiguelongue <eva@gentoo.org> vinagre-2.30.3.ebuild:
+ Pin glib/gtk+ to slot 2. Move docs to pkg_setup.
+
+ 19 Jan 2011; Markos Chandras <hwoarang@gentoo.org> vinagre-2.30.3.ebuild:
+ Stable on amd64 wrt bug #348987
+
+ 18 Jan 2011; Christian Faulhammer <fauli@gentoo.org>
+ vinagre-2.30.3.ebuild:
+ x86 stable, bug 348987
+
+ 08 Dec 2010; Pacho Ramos <pacho@gentoo.org> vinagre-2.30.2.ebuild,
+ vinagre-2.30.3.ebuild:
+ Needs gnome-panel with bonobo support.
+
+ 24 Nov 2010; Gilles Dartiguelongue <eva@gentoo.org>
+ -files/vinagre-2.24.2-optional-avahi.patch,
+ -files/vinagre-2.26.1-optional-applet.patch, -vinagre-2.26.2.ebuild,
+ -vinagre-2.28.1.ebuild, -files/vinagre-2.28.1-avahi-sigsegv.patch:
+ Clean up old revisions.
+
+ 17 Oct 2010; Raúl Porcel <armin76@gentoo.org> vinagre-2.30.2.ebuild:
+ alpha/ia64/sparc stable wrt #324077
+
+ 09 Oct 2010; Samuli Suominen <ssuominen@gentoo.org> vinagre-2.30.2.ebuild:
+ ppc64 stable wrt #324077
+
+*vinagre-2.30.3 (28 Sep 2010)
+
+ 28 Sep 2010; Gilles Dartiguelongue <eva@gentoo.org>
+ +vinagre-2.30.3.ebuild:
+ Version bump. Translation updates.
+
+ 11 Sep 2010; Joseph Jezak <josejx@gentoo.org> vinagre-2.30.2.ebuild:
+ Marked ppc for bug #324077.
+
+ 22 Aug 2010; Gilles Dartiguelongue <eva@gentoo.org> vinagre-2.30.2.ebuild:
+ Add missing dependencies per configure.
+
+ 14 Aug 2010; Raúl Porcel <armin76@gentoo.org> vinagre-2.28.1.ebuild:
+ alpha/ia64/sparc stable wrt #314899
+
+ 01 Aug 2010; Christian Faulhammer <fauli@gentoo.org>
+ vinagre-2.30.2.ebuild:
+ x86 stable, bug 324077
+
+ 31 Jul 2010; Pacho Ramos <pacho@gentoo.org> vinagre-2.30.2.ebuild:
+ amd64 stable, bug 324077
+
+ 20 Jul 2010; Jeroen Roovers <jer@gentoo.org> vinagre-2.26.2.ebuild,
+ vinagre-2.28.1.ebuild, vinagre-2.30.2.ebuild:
+ Drop HPPA keywording (bug #324511).
+
+ 11 Jul 2010; Pacho Ramos <pacho@gentoo.org> -vinagre-2.24.2-r1.ebuild,
+ vinagre-2.26.2.ebuild:
+ Drop hppa keywords and old versions per bug 324511
+
+*vinagre-2.30.2 (23 Jun 2010)
+
+ 23 Jun 2010; Pacho Ramos <pacho@gentoo.org> -vinagre-2.30.1.ebuild,
+ -files/vinagre-2.30.1-fix-es_ES.patch, +vinagre-2.30.2.ebuild:
+ Version bump with updated translations and minor fixes, remove old.
+
+ 15 Jun 2010; Pacho Ramos <pacho@gentoo.org> vinagre-2.30.1.ebuild,
+ +files/vinagre-2.30.1-fix-es_ES.patch:
+ Apply upstream patch to fix spanish translations fixing tests (bug
+ #323767).
+
+*vinagre-2.30.1 (13 Jun 2010)
+
+ 13 Jun 2010; Pacho Ramos <pacho@gentoo.org> +vinagre-2.30.1.ebuild:
+ Add new version for Gnome 2.30.
+
+ 04 Jun 2010; Markus Meier <maekke@gentoo.org> vinagre-2.28.1.ebuild:
+ x86 stable, bug #314899
+
+ 03 May 2010; Olivier Crête <tester@gentoo.org> vinagre-2.28.1.ebuild:
+ amd64 stable, bug #314899
+
+ 18 Jan 2010; Jeroen Roovers <jer@gentoo.org> vinagre-2.26.2.ebuild:
+ Stable for HPPA (bug #281427).
+
+ 18 Jan 2010; Jeroen Roovers <jer@gentoo.org> vinagre-2.28.1.ebuild:
+ Marked ~hppa too.
+
+ 03 Dec 2009; Brent Baude <ranger@gentoo.org> vinagre-2.26.2.ebuild:
+ Marking vinagre-2.26.2 ppc64 stable for bug 281427
+
+ 28 Nov 2009; Raúl Porcel <armin76@gentoo.org> vinagre-2.26.2.ebuild:
+ alpha/ia64/sparc stable wrt #281427
+
+*vinagre-2.28.1 (29 Oct 2009)
+
+ 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
+ +vinagre-2.28.1.ebuild, +files/vinagre-2.28.1-avahi-sigsegv.patch,
+ metadata.xml:
+ New version for GNOME 2.28.
+
+ 28 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
+ -vinagre-2.26.1.ebuild, vinagre-2.26.2.ebuild:
+ Add GCONF_DEBUG, bug #270905. Clean up old revision.
+
+ 24 Oct 2009; nixnut <nixnut@gentoo.org> vinagre-2.26.2.ebuild:
+ ppc stable #281427
+
+ 16 Oct 2009; Markus Meier <maekke@gentoo.org> vinagre-2.26.2.ebuild:
+ x86 stable, bug #281427
+
+ 08 Oct 2009; Olivier Crête <tester@gentoo.org> vinagre-2.26.2.ebuild:
+ Stable on amd64, bug #281427
+
+*vinagre-2.26.2 (22 May 2009)
+
+ 22 May 2009; Gilles Dartiguelongue <eva@gentoo.org>
+ +vinagre-2.26.2.ebuild:
+ Bump to 2.26.2. Updated docs and translations.
+
+*vinagre-2.26.1 (10 May 2009)
+
+ 10 May 2009; Gilles Dartiguelongue <eva@gentoo.org> -vinagre-0.5.2.ebuild,
+ -vinagre-2.24.2.ebuild, +vinagre-2.26.1.ebuild,
+ +files/vinagre-2.26.1-optional-applet.patch, metadata.xml:
+ New version for GNOME 2.26. Scaling works with composite, make avahi
+ optional. Clean up old revisions.
+
+ 27 Apr 2009; Jeroen Roovers <jer@gentoo.org> vinagre-2.24.2-r1:
+ Stable for HPPA (bug #260063).
+
+ 12 Apr 2009; Friedrich Oslage <bluebird@gentoo.org>
+ vinagre-2.24.2-r1.ebuild:
+ Stable on sparc, bug #260063
+
+ 18 Mar 2009; Raúl Porcel <armin76@gentoo.org> vinagre-2.24.2-r1.ebuild:
+ alpha/ia64 stable wrt #260063
+
+ 15 Mar 2009; Markus Meier <maekke@gentoo.org> vinagre-2.24.2-r1.ebuild:
+ x86 stable, bug #260063
+
+ 13 Mar 2009; Alexis Ballier <aballier@gentoo.org>
+ vinagre-2.24.2-r1.ebuild:
+ keyword ~x86-fbsd
+
+ 11 Mar 2009; Daniel Gryniewicz <dang@gentoo.org> vinagre-2.24.2-r1.ebuild:
+ Marked stable on amd64
+
+ 06 Mar 2009; Brent Baude <ranger@gentoo.org> vinagre-2.24.2-r1.ebuild:
+ Marking vinagre-2.24.2-r1 ppc stable for bug 260063
+
+ 05 Mar 2009; Brent Baude <ranger@gentoo.org> vinagre-2.24.2-r1.ebuild:
+ Marking vinagre-2.24.2-r1 ppc64 stable for bug 260063
+
+ 20 Feb 2009; Diego E. Pettenò <flameeyes@gentoo.org>
+ vinagre-2.24.2-r1.ebuild:
+ Add gnome-common dependency.
+
+ 19 Feb 2009; Arun Raghavan <ford_prefect@gentoo.org> vinagre-0.5.2.ebuild:
+ Check for USE=dbus net-dns/avahi. Bug #256190.
+
+ 19 Feb 2009; Arun Raghavan <ford_prefect@gentoo.org>
+ -vinagre-0.5.1.ebuild:
+ Remove old version
+
+*vinagre-2.24.2-r1 (19 Feb 2009)
+
+ 19 Feb 2009; Arun Raghavan <ford_prefect@gentoo.org>
+ +files/vinagre-2.24.2-optional-avahi.patch, +vinagre-2.24.2-r1.ebuild:
+ Make Avahi support optional again, and add more USE-conditional deps for
+ net-dns/avahi. Fixes bug #243004, #256190.
+
+ 13 Dec 2008; Raúl Porcel <armin76@gentoo.org> vinagre-0.5.2.ebuild:
+ alpha/ia64 stable wrt #250314
+
+ 13 Dec 2008; Tobias Scherbaum <dertobi123@gentoo.org>
+ vinagre-0.5.2.ebuild:
+ ppc stable, bug #250314
+
+ 13 Dec 2008; Friedrich Oslage <bluebird@gentoo.org> vinagre-0.5.2.ebuild:
+ Stable on sparc, security bug #250314
+
+ 12 Dec 2008; Mart Raudsepp <leio@gentoo.org> -vinagre-2.24.1.ebuild:
+ Remove unnecessary version that has a security bug
+
+ 11 Dec 2008; Brent Baude <ranger@gentoo.org> vinagre-0.5.2.ebuild:
+ Marking vinagre-0.5.2 ppc64 for bug 250314
+
+ 11 Dec 2008; Jeroen Roovers <jer@gentoo.org> vinagre-0.5.2.ebuild:
+ Stable for HPPA (bug #250314).
+
+ 10 Dec 2008; Markus Meier <maekke@gentoo.org> vinagre-0.5.2.ebuild:
+ x86 stable, bug #250314
+
+ 10 Dec 2008; Tobias Heinlein <keytoaster@gentoo.org> vinagre-0.5.2.ebuild:
+ amd64 stable wrt security bug #250314
+
+*vinagre-2.24.2 (10 Dec 2008)
+*vinagre-0.5.2 (10 Dec 2008)
+
+ 10 Dec 2008; Mart Raudsepp <leio@gentoo.org> +vinagre-0.5.2.ebuild,
+ +vinagre-2.24.2.ebuild:
+ Security version bumps, bug 250314
+
+ 13 Nov 2008; Brent Baude <ranger@gentoo.org> vinagre-0.5.1.ebuild:
+ Marking vinagre-0.5.1 ppc64 stable for bug 236971
+
+*vinagre-2.24.1 (20 Oct 2008)
+
+ 20 Oct 2008; Gilles Dartiguelongue <eva@gentoo.org>
+ +vinagre-2.24.1.ebuild:
+ New version for GNOME 2.24. Support downscaling and includes an applet.
+
+ 25 Sep 2008; Jeroen Roovers <jer@gentoo.org> vinagre-0.5.1.ebuild:
+ Stable for HPPA (bug #236971).
+
+ 12 Aug 2008; Raúl Porcel <armin76@gentoo.org> vinagre-0.5.1.ebuild:
+ alpha/ia64/sparc stable wrt #229709
+
+ 10 Aug 2008; Markus Meier <maekke@gentoo.org> vinagre-0.5.1.ebuild:
+ x86 stable, bug #229709
+
+ 04 Aug 2008; Gilles Dartiguelongue <eva@gentoo.org> -vinagre-0.5.0.ebuild:
+ clean up old revisions.
+
+ 30 Jul 2008; Brent Baude <ranger@gentoo.org> vinagre-0.5.1.ebuild:
+ Marking vinagre-0.5.1 ppc stable for bug 229709
+
+ 26 Jul 2008; Olivier Crête <tester@gentoo.org> vinagre-0.5.1.ebuild:
+ Stable on amd64, bug #229709
+
+ 02 Jun 2008; Alexis Ballier <aballier@gentoo.org> vinagre-0.5.1.ebuild:
+ keyword ~x86-fbsd
+
+ 01 Jun 2008; nixnut <nixnut@gentoo.org> vinagre-0.5.1.ebuild:
+ Added ~ppc wrt bug 218794
+
+ 12 May 2008; Jeroen Roovers <jer@gentoo.org> vinagre-0.5.1.ebuild:
+ Marked ~hppa (bug #218794).
+
+ 24 Apr 2008; Markus Rothe <corsair@gentoo.org> vinagre-0.5.1.ebuild:
+ Added ~ppc64; bug #218794
+
+*vinagre-0.5.1 (10 Apr 2008)
+
+ 10 Apr 2008; Gilles Dartiguelongue <eva@gentoo.org> +vinagre-0.5.1.ebuild:
+ bump to 0.5.1. Translation updates.
+
+ 25 Mar 2008; Gilles Dartiguelongue <eva@gentoo.org> vinagre-0.5.0.ebuild:
+ add gnome-doc-utils to DEPEND, fix bug #214722
+
+ 25 Mar 2008; Raúl Porcel <armin76@gentoo.org> vinagre-0.5.0.ebuild:
+ Add ~alpha/~ia64/~sparc
+
+*vinagre-0.5.0 (23 Mar 2008)
+
+ 23 Mar 2008; Gilles Dartiguelongue <eva@gentoo.org> +metadata.xml,
+ +vinagre-0.5.0.ebuild:
+ Initial ebuild for vinagre. Thanks to Mart Raudsepp for reviewing ebuilds
+ on bug #189826
diff --git a/net-misc/vinagre/Manifest b/net-misc/vinagre/Manifest
new file mode 100644
index 0000000..275bbd7
--- /dev/null
+++ b/net-misc/vinagre/Manifest
@@ -0,0 +1,5 @@
+AUX freerdp-1.2.0.patch 972 SHA256 ff6b9ebc21487ad5012d4c157bafced5d308d3d248608a645c2006a66869153d SHA512 2a0d9cde41d24efa4ee38c1012faf7bd150178ba1de2c776a3f86612fbef82e711d40c1976c3f335b387e3160aafe4fc1447e175ada9b6245765cbb23c061178 WHIRLPOOL a25cf6f68e9bb5ad0b5e5cac51552c33aef0a0b1e4750a322cc16fb1fcf22e327b45d59a7642e0ab1979338647d0946c8bf2ab0de9e656a4249a0334db5a7394
+DIST vinagre-3.14.3.tar.xz 1101544 SHA256 f82d8c66684a00a79422724b0e1efad28ba35ba21a92dc7dcb867ed7b64659f0 SHA512 80d87d3aab0e11c2990e6f8f369095e7587a3d2def0afe1e0be2cae31e376bc40c902180b92d84c196ded8c1973dca8421dd5d66ecda5d6d1e41e3fe0aa02ccd WHIRLPOOL 9a38f134b27e1064b186df2c53daacc268e719458fc13fab81a7013972966c107d30c9041082578c4fd0ca037b4285bf9df69ed0f2b900f77ec54fe633539c04
+EBUILD vinagre-3.14.3.ebuild 1533 SHA256 3ec88be788bcea3a2e7bcb80e66004bd995943d848fdd2651d4b507b23ac2a94 SHA512 5b2638d0c72a440c72d95a54d2d1b6b5bffd7349230c51050064a1f9645dce10f269250efc060857a025a6cfa1b8a823d493e2d6485514b55b0ee7669dc00a55 WHIRLPOOL 96def08662d517d2c6c523194ac2f51a10b7218f03520e51af653a4e8e2c8a70bedfced8351b79c9a78046e3fe2c3525d47e7c646f95926a4074356625a791d9
+MISC ChangeLog 15303 SHA256 1fe8d00a149813f033cd289bca1b51f6f9e50134d108baf7c5198aeef21d4d1d SHA512 5f7da13be0037251275c6dbaba4b837f4f9167c410dcc51cee0e853b3c9ef19d9b6e2e4ae88681e8d372ae483f8be5ff24752c28090f223cfa067744fa4c672e WHIRLPOOL 36a9928571d362be7669b9a058875f5e95844d0318075622179afa5d6a9fa337029e7af2e2b02cd89062a9eba508a77d77b681b1b66fea35be62f82b16b1ee38
+MISC metadata.xml 541 SHA256 b6870da5808fae6b5ceed61f0b35e6367f531f671e270c58f0bd45c52cc49d65 SHA512 00e08cd84141020f44cccb0064f0b92a458dd49d7221a4b0078e20206761508ecf1eee3cf5d7e20e6876347b87888f3bfefe69a8397fa59e108fdef75dc38e46 WHIRLPOOL 17b85c3451b68efb39ca13c8dd81df475bfbc112d2f90ea953230d5eb09560b9082623cb02c28cb8b45a790de0ca0df2a95164a5aa2b0b45e23b2b43d1573869
diff --git a/net-misc/vinagre/files/freerdp-1.2.0.patch b/net-misc/vinagre/files/freerdp-1.2.0.patch
new file mode 100644
index 0000000..587ddb8
--- /dev/null
+++ b/net-misc/vinagre/files/freerdp-1.2.0.patch
@@ -0,0 +1,29 @@
+diff --git a/plugins/rdp/vinagre-rdp-tab.c b/plugins/rdp/vinagre-rdp-tab.c
+index 02f5e4e..770fe99 100644
+--- a/plugins/rdp/vinagre-rdp-tab.c
++++ b/plugins/rdp/vinagre-rdp-tab.c
+@@ -27,7 +27,6 @@
+ #include <freerdp/api.h>
+ #include <freerdp/types.h>
+ #include <freerdp/freerdp.h>
+-#include <freerdp/utils/event.h>
+ #include <freerdp/gdi/gdi.h>
+ #if HAVE_FREERDP_1_1
+ #include <freerdp/locale/keyboard.h>
+@@ -363,7 +362,15 @@ frdp_post_connect (freerdp *instance)
+ rdpGdi *gdi;
+ int stride;
+
+- gdi_init (instance, CLRBUF_24BPP, NULL);
++ gdi_init (instance,
++#if defined(FREERDP_VERSION_MAJOR) && defined(FREERDP_VERSION_MINOR) && \
++ !(FREERDP_VERSION_MAJOR > 1 || (FREERDP_VERSION_MAJOR == 1 && \
++ FREERDP_VERSION_MINOR >= 2))
++ CLRBUF_24BPP,
++#else
++ CLRBUF_32BPP,
++#endif
++ NULL);
+ gdi = instance->context->gdi;
+
+ instance->update->BeginPaint = frdp_begin_paint;
diff --git a/net-misc/vinagre/metadata.xml b/net-misc/vinagre/metadata.xml
new file mode 100644
index 0000000..f796c7b
--- /dev/null
+++ b/net-misc/vinagre/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name="rdp">Enable access to Windows RDP protocol using
+ <pkg>net-misc/rdesktop</pkg></flag>
+ <flag name="ssh">Enable ssh plugin using <pkg>x11-libs/vte</pkg></flag>
+ <flag name="spice">Enable access to SPICE-enabled virtual machines</flag>
+ <flag name="telepathy">Enable access to remote desktop via a
+ <pkg>net-libs/telepathy-glib</pkg> client</flag>
+ </use>
+</pkgmetadata>
diff --git a/net-misc/vinagre/vinagre-3.14.3.ebuild b/net-misc/vinagre/vinagre-3.14.3.ebuild
new file mode 100644
index 0000000..42260a8
--- /dev/null
+++ b/net-misc/vinagre/vinagre-3.14.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/vinagre/vinagre-3.14.3.ebuild,v 1.1 2014/12/23 23:08:46 eva Exp $
+
+EAPI="5"
+GCONF_DEBUG="no"
+VALA_MIN_API_VERSION=0.18
+
+inherit gnome2 vala eutils
+
+DESCRIPTION="VNC client for the GNOME desktop"
+HOMEPAGE="https://wiki.gnome.org/Apps/Vinagre"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="avahi rdp +ssh spice +telepathy"
+
+# cairo used in vinagre-tab
+# gdk-pixbuf used all over the place
+RDEPEND="
+ >=dev-libs/glib-2.28.0:2
+ >=x11-libs/gtk+-3.9.6:3
+ app-crypt/libsecret
+ >=dev-libs/libxml2-2.6.31:2
+ >=net-libs/gtk-vnc-0.4.3[gtk3]
+ x11-libs/cairo:=
+ x11-libs/gdk-pixbuf:2
+ x11-themes/hicolor-icon-theme
+
+ avahi? ( >=net-dns/avahi-0.6.26[dbus,gtk3] )
+ rdp? ( net-misc/freerdp )
+ ssh? ( >=x11-libs/vte-0.20:2.91 )
+ spice? (
+ app-emulation/spice-protocol
+ >=net-misc/spice-gtk-0.5[gtk3] )
+ telepathy? (
+ dev-libs/dbus-glib
+ >=net-libs/telepathy-glib-0.11.6 )
+"
+DEPEND="${RDEPEND}
+ >=dev-lang/perl-5
+ dev-libs/appstream-glib
+ >=dev-util/intltool-0.50
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+ $(vala_depend)
+"
+
+src_prepare() {
+ epatch "${FILESDIR}/freerdp-1.2.0.patch"
+ vala_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog ChangeLog.pre-git NEWS README"
+ gnome2_src_configure \
+ $(use_with avahi) \
+ $(use_enable rdp) \
+ $(use_enable ssh) \
+ $(use_enable spice) \
+ $(use_with telepathy) \
+ ITSTOOL=$(type -P true)
+}